Skip to main content

Query host list

GET
https://api.agora.io/dev/v1/channel/user/{appid}/{channelName}/hosts_only

Use this endpoint to get the list of hosts in a specified channel. This endpoint is only available in the LIVE_BROADCASTING profile (mode = 2); all users in the channel must use the same profile, otherwise query results may be inaccurate.

Request

The request URL and request body is case-sensitive. All requests must use HTTPS.

Request header

  • Content-Type: application/json
  • The request header must contain the Authorization field. For details, see RESTful authentication.

Path parameters

appid stringrequired

The App ID of the project. You can get it through one of the following methods:

channelName stringrequired

The channel name.

Response

A 200 status code indicates success. The response body contains the following parameters:

OK
  • success boolean

    The state of this request:

    • true: Success.
    • false: Reserved for future use.
  • data object

    User information.

    Show propertiesHide properties
    • channel_exist boolean

      Whether the specified channel exists:

      • true: The channel exists.
      • false: The channel does not exist. When this is false, no other fields are returned.
    • mode number

      The channel profile:

      • 1: The COMMUNICATION profile.
      • 2: The LIVE_BROADCASTING profile.
    • broadcasters array

      User IDs of all hosts in the channel. Returned only when mode is 2.

If the status code is not 200, the request fails. See the message field in the response body for the reason for this failure. Refer to Response status codes for details.

Reference

Synchronizing host online status

To synchronize the online status of hosts, you can use this endpoint or the query user status endpoint. This endpoint requires a lower call frequency and offers higher efficiency, so Agora recommends it for this purpose.

Authorization

This endpoint requires Basic authentication.

Request example


_4
curl --request GET \
_4
--url https://api.sd-rtn.com/dev/v1/channel/user/<appid>/<channelName>/hosts_only \
_4
--header 'Accept: application/json' \
_4
--header 'Authorization: Basic <your_base64_encoded_credentials>'

Response example


_11
{
_11
"success": true,
_11
"data": {
_11
"channel_exist": true,
_11
"mode": 2,
_11
"broadcasters": [
_11
574332,
_11
1347839
_11
]
_11
}
_11
}